Bug 466608 - Update translate-toolkit to the latest release 1.2
Update translate-toolkit to the latest release 1.2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: translate-toolkit (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Dwayne Bailey
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 471754
  Show dependency treegraph
 
Reported: 2008-10-11 02:22 EDT by Dwayne Bailey
Modified: 2008-12-06 15:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 15:56:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dwayne Bailey 2008-10-11 02:22:40 EDT
+++ This bug was initially created as a clone of Bug #439140 +++

Description of problem:
A new version, v1.2, of the Translate Toolkit has been released, see
http://sourceforge.net/forum/forum.php?forum_id=874951

I will add a draft .spec file for Fedora 9 to this bug shortly.
Comment 1 Dwayne Bailey 2008-11-12 15:55:50 EST
SRPM: http://dwayne.fedorapeople.org/translate-toolkit-1.2.0-1.fc11.src.rpm
SPEC: http://dwayne.fedorapeople.org/translate-toolkit-1.2.0-1.spec

make lint:
rpmlint translate-toolkit-1.2.0-1.fc11.noarch.rpm
translate-toolkit.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/translate/search/indexing/test_indexers.py 0644
translate-toolkit.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/translate/convert/ical2po.py 0644
.... * 200+

>>>>I believe I can safely ignore those?

translate-toolkit.noarch: E: explicit-lib-dependency gettext-libs

>>>>I need libgettextpo.so from gettext-libs
Comment 2 Fedora Update System 2008-11-13 06:42:11 EST
translate-toolkit-1.2.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/translate-toolkit-1.2.0-1.fc9
Comment 3 Fedora Update System 2008-11-13 13:24:00 EST
translate-toolkit-1.2.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/translate-toolkit-1.2.0-1.fc10
Comment 4 Fedora Update System 2008-11-14 07:53:35 EST
translate-toolkit-1.2.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update translate-toolkit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9677
Comment 5 Dwayne Bailey 2008-11-17 03:33:11 EST
I've pulled 1.2.0-1 as it had problems on non-i386 platforms as python-psyco is only available on i386.

I'll push as new 1.2.0-2 with the following patch shortly:


@@ -20,7 +20,9 @@ Requires:       python-enchant
 Requires:       python-iniparse
 Requires:       python-Levenshtein
 Requires:       python-lxml
+%ifarch i386
 Requires:       python-psyco
+%endif
 Requires:       python-vobject
Comment 6 Fedora Update System 2008-11-17 04:16:05 EST
translate-toolkit-1.2.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/translate-toolkit-1.2.0-3.fc9
Comment 7 Fedora Update System 2008-11-17 04:36:57 EST
translate-toolkit-1.2.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/translate-toolkit-1.2.0-3.fc10
Comment 8 Fedora Update System 2008-11-19 09:45:39 EST
translate-toolkit-1.2.0-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update translate-toolkit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9693
Comment 9 Fedora Update System 2008-11-22 11:48:03 EST
translate-toolkit-1.2.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-11-22 11:58:48 EST
translate-toolkit-1.2.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jens Petersen 2008-11-24 02:17:49 EST
Error: Missing Dependency: python-Levenshtein is needed by package translate-toolkit-1.2.0-3.fc10.noarch (updates)
Comment 12 Bug Zapper 2008-11-25 22:46:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Dwayne Bailey 2008-12-06 15:56:48 EST
(In reply to comment #11)
> Error: Missing Dependency: python-Levenshtein is needed by package
> translate-toolkit-1.2.0-3.fc10.noarch (updates)

python-Levenshtein has been pushed to f10 so this dependency is now solved.

Note You need to log in before you can comment on or make changes to this bug.